descriptions = new Array("Cluster Configuration Where are the system service configuration files? Is it possible to switch the master to candidate host via CLI? Can I assig...",
	"--&gt; ",
	"Why does the audit log show that everytime I log on, I log off immediately afterwards? This is a reflection of the implementation of the security ...",
	"How do I make sure my host control commands can only be run by me or another administrator? For elim, lim, and EGO shutdown or restart, you can li...",
	"What character restrictions do I have on a user account password? Any printable ASCII character is allowed in the password, including the followin...",
	"What character restrictions do I have on a user account name? A user account name can have the following characters: any alphanumeric character (a...",
	"What can I do if my credentials expire? Run egosh user logon again. In some situations an expired credential may trigger the \"Authentication faile...",
	"Are all stored passwords encrypted? All passwords are encrypted by AES and stored in User.xml. Windows OS user passwords are encrypted by DES. Par...",
	"Why did authentication fail when I gave the right user name and password? The clock in the user machine must be synchronized within 10 hours of th...",
	"Why does the command line ask me for username and password again after I already ran egosh user logon? Credentials only lasts 8 hours. After 8 hou...",
	"Why is my command line interface slow? Your command line interface may delay for up to 5 seconds if the master host is unreachable. The problem sh...",
	"Why, when my VEMKD has gone down and come back, do I no longer get messages in my VEMKD log? When the previous VEMKD fails over and comes back, th...",
	"Why are duplicate hosts appearing in PERF after failover? Why do some hosts resolve as \"unqualified\" while others resolve as \"qualified\" and have ...",
	"When I run egosh ego start all, why do I get a permission error on some of the Windows compute hosts? If egoadmin is a domain user, make sure it i...",
	"When I run egosh ego start all, why does Platform EGO try to start some hosts which have previously been removed from the cluster? To remove a hos...",
	"When I run egosh ego start all, why do my newly added compute host not start? You need to manually start a compute host that is newly added to the...",
	"Why does my large Windows cluster keep crashing? If your Windows cluster is made up of more than 4000 hosts, a Windows limitiation requires you to...",
	"After starting the cluster, why does a running host show up as \"unavailable\" when I run egosh resource list? Confirm that EGO daemons are running ...",
	"After failover, why won't some hosts join the cluster? Ensure the host names configured in EGO_MASTER_LIST are resolvable on the hosts that did no...",
	"Why does the lim daemon sometimes vanish? In some instances, the lim service may not run on certain Linux machines that are configured as master f...",
	"The service controller doesn't reload service environment variables specified in servicename.xml. What should I do? You should run egosh ego resta...",
	"Why does EGO still use the configurations in old servicename.xml file even after I have it updated? To update your service configuration, you need...",
	"What EGO processes are running on my cluster? The EGO processes running on cluster hosts depend on the role of the host. On all hosts in the clust...",
	"Why doesn't my cluster start? If the vemkd master failed to start, it may be because: Non-existent or expired license file defined in ego.conf (ru...",
	"Ican open the Platform Management Console, but the WebServiceGateway is not started. What's wrong? In cases where WebServiceGateway is running, bu...",
	"How do I log on to the Platform Management Console (how do I find the URL)? Before logging on to the Platform Management Console, ensure that you ...",
	"Why do I get an error message when I try to modify the member hosts of a resource group? You cannot modify the host members of a resource group if...",
	"How do I check I have resources allocated for my application? In the Platform Management Console, use the Dashboard, the Resource Plan page, or th...",
	"How do I build a hosts file? You can define a hosts file to provide address-to-name translation. Create hosts in $EGO_CONFDIR/kernel/conf (Linux) ...",
	"In Windows, when I run egosh resource list, the master host is listed with a short name but the other hosts are listed with long names. Is this an...",
	"Why can my host not automatically/dynamically join the cluster? Actually, using egoconfig join does dynamically add the host to the cluster. Howev...",
	"What will happen if I do not define any resource requirement for one resource group in the ResourceGroups.xml file? All available hosts will be pu...",
	"How do I map what I'm doing in the Resource Distribution Plan to what I see in the ConsumerTrees.xml file? View of Settings in the Resource Distri...",
	"How do hosts become blocked? A host in the EGO cluster might become blocked if the service allocation fails. When a service instance exits with a ...",
	"How do I unblock a blocked host? Blocked hosts are handled in different ways, depending on the reason why it was blocked. Generally speaking, if a...",
	"Why does my cluster not work property after installing a single user (non-root) cluster? If you install and start a Platform EGO cluster as a root...",
	"In Windows, when I run egosh resource list, the master host is listed with a short name but the other hosts are listed with long names. Is this an...",
	"Why can't I see the Platform EGO projects after unzipping the EGO plug-in in the Eclipse folder? Simply unzipping the update site into the Eclipse...",
	"Is the domain a prerequisite for Windows installation? The best practice is to use a domain user as the cluster admin. It is the simplest way to m...",
	"Why does the command \"egoconfig mghost\" need the complete share name? For share directory name, the egoconfig command does not create a share dire...",
	"After a successful installation, why does my newly added host not show up in the output of \"egosh resource list\" or the Platform Management Consol...",
	"Why do I need to set CLUSTERADMIN to run RPM on Linux? When running RPM install as root, if the user acount \"egoadmin\" exists on the host, all fil...",
	"Icustomized my LSF installation by moving the binaries. How do I configure EGO to work now? If you customized your installation of LSF, you need t...",
	"How do I change the length of time a dynamic host waits before it sends an announcement to the master lim for addition to the cluster? The master ...",
	"Why are duplicate hosts appearing in PERF after failover? Why do some hosts resolve as \"unqualified\" while others resolve as \"qualified\" and have ...",
	"How do I write an external load information manager (ELIM)? You can write an ELIM to report some external load indices that the LIM does not repor...",
	"Where does the client take the master name, port, etc. and how do I configure them? The client uses $EGO_CONFDIR\\kernel\\conf\\ego.conf (where the E...",
	"Why are changes not applied when I modify resource configuration files? Currently, Platform EGO does not handle changes to resource files made sim...",
	"How do I optimize failover speed? In your cluster configuration file, (ego.cluster) set the following under \"Parameters\": EXINTERVAL=5 HOST_INACTI...",
	"How can I specify select string in ResourceGroup? For example, to select a non-management host with two CPUs: select (!mg &amp;&amp; ncpus == 2) ResourceG...",
	"Can I assign any execution user for consumer? For Windows: Yes For Linux: We assume all execution users are in the same UNIX group as CLUSTER_ADMI...",
	"Is it possible to switch the master to candidate host via CLI? Yes. After you configure different management hosts, you can run \"egoconfig masterl...",
	"Where are the system service configuration files? The system service configuration files with .xml extensions are found in: EGO_TOP/eservice/esc/c...",
	"Do the Platform EGO plug-ins work with Eclipse 3.2.2? Yes Parent topic: Application Development and Testing ",
	"Why can't I see the Platform EGO projects after unzipping the EGO plug-in in the Eclipse folder? Simply unzipping the update site into the Eclipse...",
	"How do I connect to Platform EGO via the Web Server Gateway and Java? Information about using a web service client to connect to EGO can be found ...",
	"Where does the client take the master name, port, etc. and how do I configure them? The client uses two configuration files: EGO_TOP\\eservices\\esc...",
	"Ifinished using one of my two resources. Why did both of them go away when I called CancelAllocation? Only use CancelAllocation to free up all the...",
	"Upon calling ModifyAllocation to reduce the maximum associated with my allocation (once finished using a resource), why is the maximum associated ...",
	"After releasing a resource, why does EGO give it back to me? Only use ReleaseResource when the client wants the resource replaced by another one. ...",
	"Security Why does the command line ask me for username and password again after I already ran egosh user logon? Why did authentication fail when I...",
	"Installation Why do I need to set CLUSTERADMIN to run RPM on Linux? After a successful installation, why does my newly added host not show up in t...",
	"Running EGO How do I log on to the Platform Management Console (how do I find the URL)? I can open the Platform Management Console, but the WebSer...",
	"Resource Management How do I unblock a blocked host? How do hosts become blocked? How do I map what I'm doing in the Resource Distribution Plan to...",
	"APIs After releasing a resource, why does EGO give it back to me? Upon calling ModifyAllocation to reduce the maximum associated with my allocatio...",
	"Cluster Configuration Where are the system service configuration files? Is it possible to switch the master to candidate host via CLI? Can I assig...",
	"Application Development and Testing Where does the client take the master name, port, etc. and how do I configure them? How do I connect to Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"Platform Computing Corporation Data Schema Table for Platform EGO 1.2 Release Date: November 2006 This package is intended for users of the Platfo...",
	"EGO kernel daemon.",
	"Copyright Commands egoconfig egoremoverc egosetrc egosetsudoers egosh egoshutdown egostartup pversions rfa rsdeploy Daemons egosc lim pem pim vemk...",
	"Deploys and removes middleware packages.",
	"Transfers files between hosts.",
	"Selects the most appropriate resource for a particular purpose.",
	"Displays the version information for Platform products installed on a Windows host. This is a Windows command only; this command is not recognized...",
	"Process information daemon, collecting resource usage of running processes.",
	"Process execution daemon, monitoring execution.",
	"Load information daemon or service, monitoring host load.",
	"--&gt; ",
	"Starts all EGO components of a cluster.",
	"Shuts down a cluster.",
	"Launches the administrative command interface to EGO.",
	"Creates an /etc/ego.sudoers file to determine accounts with root privileges on the UNIX host within a cluster.",
	"Configures automatic startup of EGO on a UNIX host.",
	"EGO service controller.",
	"Prevents automatic startup of EGO on a UNIX host.",
	"Configures hosts.",
	"ego.sudoers Contents About ego.sudoers The ego.sudoers file File format Creating and modifying ego.sudoers Parameters Parent topic: Files About eg...",
	"Tutorial: Create a Consumer Tree Goal The consumer tree organizes consumers into a structure that makes it easy to later apply resource plans. The...",
	"--&gt; ",
	"Tutorial: Set Up Resource Groups Goal EGO comes with three default resource groups that have core services and sample applications registered to t...",
	"Tutorial: Modify the Out-of-Box Resource Plan Goal The resource distribution plan is closely related to the consumer tree. The plan cannot be defi...",
	"EGO Tutorials Tutorial: Create a Consumer Tree Tutorial: Set Up Resource Groups Tutorial: Modify the Out-of-Box Resource Plan ",
	"Copyright EGO Tutorials Tutorial: Create a Consumer Tree Tutorial: Set Up Resource Groups Tutorial: Modify the Out-of-Box Resource Plan ",
	"Knowledge Center Web Services XML Schema Reference Contents EGO XML Schema EGO Service Controller XML Schema ",
	"XML Schema Documentation Printer-friendly Version XML Instance Representation: [ Expand All | Collapse All ] Diagram: [ Expand All | Collapse All ...",
	"XML Schema Documentation Printer-friendly Version XML Instance Representation: [ Expand All | Collapse All ] Diagram: [ Expand All | Collapse All ...",
	"Knowledge Center Web Services WSDL Reference Contents EGO Activity EGO Administration EGO Allocation EGO Consumer EGO Monitoring EGO Notification ...",
	"UsersService Operation: LogonUser This operation is used to establish a session for the user. Input Message The request contains no sub-elements. ...",
	"ActivityService Operation: StartActivity The StartActivity operation is used by an EGO client to request the execution of an activity on a resourc...",
	"AdministrationService Operation: ControlResource The ControlResource operation is used to send a management command to a Resource within the EGO c...",
	"AllocationService Operation: RequestAllocation The RequestAllocation operation is used by an EGO client to make a request for resources. The clien...",
	"ConsumerService Operation: GetConsumerTree This operation is used to retrieve the current consumer tree for the EGO cluster. This includes both co...",
	"MonitoringService Operation: ClusterInfo The operation is used to retrieve meta data about the EGO cluster. At this time, the information for only...",
	"NotificationService Operation: AddResource This operation is used to tell the EGO client that resources have been added to an allocation. Input Me...",
	"RegistrationService Operation: Register The Register operation is used by an EGO client to register with the EGO master. Registration is required ...",
	"ServiceControllerService Operation: CreateService The operation createService is used to create a new service according to a service definition. E...",
	"ServiceControllerNotificationService Operation: ServiceStateChange This is sent by the Service Controller when the state of the service changes In...",
	"ServiceDirectorService Operation: UpdateLocation This operation is used to update a activity location information. Input Message The request conta...",
	"About Web Services Web Services provide a standard means of interoperating between different software applications, running on a variety of platfo...",
	"Getting Started with the C Client: A Collection of Tutorials Before you begin the tutorials Before starting these tutorials, ensure that the EGO C...",
	"Locate the code samples Launch Eclipse. Select File &gt; New &gt; Project. In the New Project dialog, expand Enterprise Grid Orchestrator Samples (EGO) ...",
	"Tutorial 6: Create an EGO Service This tutorial describes how to create and run an EGO service. Using this tutorial, you will ... Open a connectio...",
	"Tutorial 3: Request Host Allocation in a Cluster with Asynchronous Callback Notifications This tutorial describes how to create a registered EGO c...",
	"Tutorial 2: Request Host Allocation in a Cluster with Synchronous Notifications This tutorial describes how to create a registered EGO client that...",
	"Tutorial 1: Request Information About Hosts in a Cluster This tutorial describes the minimum amount of code required to create an unregistered EGO...",
	"Tutorial 5: Request Resource Allocation in a Cluster and Start Containers Based on Host Loading This tutorial describes how to create a registered...",
	"Tutorial 4: Request Resource Allocation in a Cluster and Start Containers Using Threads This tutorial describes how to create a registered EGO cli...",
	"Tutorial 7: Update a DNS Entry in the Service Director This tutorial describes how to create a service and add a DNS entry for the service in the ...",
	"Create a C client project Launch Eclipse. Select File &gt; New &gt; Project. In the New Project dialog, expand Enterprise Grid Orchestrator (EGO) and se...",
	"Create a Web Service project Prerequisites: In order to develop code compliant with J2SE 5.0, you will need the J2SE 5.0 Java Runtime Environment ...",
	"Creating EGO Client Projects What is a client? A client is an applicaton written in either the C programming language or as a Web Service, that co...",
	"Eclipse Eclipse is an open source community whose projects are focused on providing an extensible development platform and application frameworks ...",
	"EGO API The EGO Application Programming Interface (API) is a collection of programming interfaces used by a client application to access EGO funct...",
	"EGO concepts and terms EGO master The bulk of the intelligence in Platform EGO resides on the EGO master, which receives requests from clients and...",
	"Introduction to the Platform EGO SDK The Platform Enterprise Grid Orchestrator™ (EGO) is a service that virtualizes a distributed heterogeneous co...",
	"Getting Started with the Web Service Client: A Collection of Tutorials Before you begin the tutorials One fact about Web Service clients is that t...",
	"Locate the code samples Launch Eclipse. Select File &gt; New &gt; Project. In the New Project dialog, expand Enterprise Grid Orchestrator Samples (EGO) ...",
	"Tutorial 6: Create an EGO Service This tutorial describes how to create and run an EGO service. Using this tutorial, you will ... Open a connectio...",
	"Tutorial 7: Create an EGO Service and Query the Domain Name Server This tutorial describes how to create and run an EGO service, and query the Dom...",
	"Tutorial 5: Modify Resources Based on Load Information This tutorial describes how to create a registered EGO client that modifies resources in ac...",
	"Tutorial 4: Monitor an Activity on a Resource This tutorial describes how to create a registered EGO client that monitors an activity on a resourc...",
	"Tutorial 2: Register, Locate, and Unregister a Client This tutorial describes how to register and unregister the client with the EGO Web Service. ...",
	"Tutorial 1: Request Information About Hosts in a Cluster This tutorial describes the minimum amount of code required to create an unregistered EGO...",
	"Tutorial 3: Request a Resource Allocation in a Cluster This tutorial describes how to create a registered EGO client that requests a resource allo...",
	"Platform EGO SDK The EGO SDK enables developers to create services or applications that run on top of Platform EGO by accessing its C API or Web S...",
	"Troubleshooting This chapter provides some quick checks for isolating problems when trying to run the samples. Contents Compiler errors Connection...",
	"All Classes Activity ActivityCallbackHandler ActivityInfo ActivityRequest ActivitySample ActivityState ActivityStateChange AllocateSample Allocati...",
	"All Classes Activity ActivityCallbackHandler ActivityInfo ActivityRequest ActivitySample ActivityState ActivityStateChange AllocateSample Allocati...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Constant Field Values Contents com.platform.* com.pla...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Deprecated API Contents Overview Package Class Use Tr...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes How This API Document Is Organized This API (Applicat...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes A C D E F G H I L M N O P R S T U V W Z A Activity - ...",
	"All Classes Packages com.platform.ego com.platform.ego.examples com.platform.ego.exception com.platform.ego.impl ",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes EGO Java API Reference Packages com.platform.ego com....",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Hierarchy For All Packages Package Hierarchies: com.p...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Serialized Form Package com.platform.ego.examples Cla...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"com.platform.ego Interfaces Activity ActivityCallbackHandler Allocation AllocationCallbackHandler Client ClientCallbackHandler ClientInfoProvider ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV PACKAGE NEXT PACKAGE FRAMES NO FRAMES All Classes Package com.platform.ego Interface Su...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Hierarchy For Package com.platform.ego Package Hierar...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Package com.platform.ego Packages that use co...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"com.platform.ego.examples Classes ActivitySample AllocateSample ClientSample ClusterSample ResourceSample ServiceSample ",
	"Overview Package Class Use Tree Deprecated Index Help PREV PACKAGE NEXT PACKAGE FRAMES NO FRAMES All Classes Package com.platform.ego.examples Cla...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Hierarchy For Package com.platform.ego.examples Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Package com.platform.ego.examples No usage of...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.examples.ServiceSample...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.examples.ResourceSampl...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.examples.ClusterSample...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.examples.ClientSample ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.examples.AllocateSampl...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.examples.ActivitySampl...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"com.platform.ego.exception Exceptions AuthenticationException EGOException ExecutionException NoSuchObjectException ObjectInUseException Parameter...",
	"Overview Package Class Use Tree Deprecated Index Help PREV PACKAGE NEXT PACKAGE FRAMES NO FRAMES All Classes Package com.platform.ego.exception Ex...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Hierarchy For Package com.platform.ego.exception Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Package com.platform.ego.exception Packages t...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.SystemExcept...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.ServerExcept...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.ParameterExc...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.ObjectInUseE...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.NoSuchObject...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.ExecutionExc...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.EGOException...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.exception.Authenticati...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"Overview Package Class Use Tree Deprecated Index Help PREV CLASS NEXT CLASS FRAMES NO FRAMES All Classes SUMMARY: NESTED | FIELD | CONSTR | METHOD...",
	"com.platform.ego.impl Interfaces ReleaseRequestFlags Classes ActivityInfo ActivityRequest ActivityState ActivityStateChange AllocationInfo AllocRe...",
	"Overview Package Class Use Tree Deprecated Index Help PREV PACKAGE NEXT PACKAGE FRAMES NO FRAMES All Classes Package com.platform.ego.impl Interfa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Hierarchy For Package com.platform.ego.impl Package H...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Package com.platform.ego.impl Packages that u...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.User Packages tha...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Signal Packages t...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceStateChang...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceState Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServicePolicy Pac...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceInstanceSt...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceInstanceSt...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceInstanceDe...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceInstanceCo...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceInstance P...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceInfo Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceController...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceController...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceContext Pa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ServiceAllocation...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.SRUsage Packages ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.RoleType Packages...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Role Packages tha...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.RlimitName Packag...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Rlimit Packages t...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceSummary P...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceStateChan...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceState Pac...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceInfo Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceGroupType...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceGroup Pac...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ResourceConf Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.impl.ReleaseReques...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ReleaseRequest Pa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Reclaim Packages ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ReallocRequest Pa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.RRUsage Packages ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.PidInfo Packages ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.NotificationServi...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.NotificationPortT...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.NotificationPortT...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.LoggerManager No ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Level Packages th...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.HostTypes No usag...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Environment Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ConsumerHosts Pac...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Consumer Packages...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ClusterInfo Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ClusterFactory No...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ClientInfo Packag...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ClientImplTest No...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Attribute Package...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.AllocationInfo Pa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.AllocStatus Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.AllocRequest Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.AllocReply Packag...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.AllocReclaim Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ActivityStateChan...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ActivityState Pac...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ActivityRequest P...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.ActivityInfo Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Class com.platform.ego.impl.Host Packages tha...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.UserAdmin Packages...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.ServiceCallbackHan...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Service Packages t...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Resource Packages ...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Logger Packages th...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.InfoProvider Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.ConsumerAdmin Pack...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.ClusterAdmin Packa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Cluster Packages t...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.ClientInfoProvider...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.ClientCallbackHand...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Client Packages th...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.AllocationCallback...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Allocation Package...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.ActivityCallbackHa...",
	"Overview Package Class Use Tree Deprecated Index Help PREV NEXT FRAMES NO FRAMES All Classes Uses of Interface com.platform.ego.Activity Packages ...",
	"Related Pages Here is a list of all related documentation pages: extern LIBESC_API int esc_queryservice(char *, esc_service_info_reply_t*) extern ...",
	"All Functions Typedefs Enumerations Enumerator Defines vem_allocation_info_reply_t : vem.api.h vem_allocation_t : vem.api.h vem_allocfreereq_t : v...",
	"All Functions Typedefs Enumerations Enumerator Defines _ v - _ - __vem_errno_location() : vem.errno.h - v - vem_clear_allocation() : vem.api.h vem...",
	"All Functions Typedefs Enumerations Enumerator Defines c d e h l r u v - c - CONTAINER_STATE_CHG : vem.api.h - d - DEBUG_PEM_OFF : vem.api.h DEBUG...",
	"All Functions Typedefs Enumerations Enumerator Defines vem_container_exit_reason_t : vem.api.h vem_debug_code : vem.api.h vem_message_code : vem.a...",
	"All Functions Typedefs Enumerations Enumerator Defines DEF_CONTAINER_CONTROL_WAITPERIOD : vem.api.h VEM_HOST_BUSY : vem.api.h VEM_HOST_CLOSE_ADMIN...",
	"extern LIBVEM_API int vem_unregister(vem_handle_t *) Unregister with VEM Unregister the client with VEM via this handle. After unregister, all all...",
	"extern LIBVEM_API int vem_startcontainer(vem_handle_t *, vem_startcontainerreq_t *, vem_container_id_t *) Start a workload container with VEM Star...",
	"extern LIBVEM_API int vem_signalcontainer(vem_handle_t *, vem_signalcontainerreq_t *) Signal a workload container with VEM. Routine can only be us...",
	"extern LIBVEM_API int vem_select(vem_handle_t *, struct timeval *timeout) Check opened handle for incoming message Check to see if there is any in...",
	"extern LIBVEM_API int vem_release(vem_handle_t *, vem_releasereq_t *) VEM resource release interface Release specified resource from the allocatio...",
	"extern LIBVEM_API int vem_register(vem_handle_t *, vem_registerreq_t *, vem_allocation_info_reply_t *, vem_container_info_reply_t *) Register with...",
	"extern LIBVEM_API int vem_realloc(vem_handle_t *, vem_reallocreq_t *) VEM resource reallocation Interface to modify the requested number of resour...",
	"extern LIBVEM_API int vem_read(vem_handle_t *, vem_message_t *) Read a message from opened handle Reads one message from given connection. This sh...",
	"extern LIBVEM_API vem_handle_t* vem_open(vem_openreq_t *) Open communication handle to VEM. Routine opens library configuration file to get master...",
	"extern LIBVEM_API int vem_locate(vem_handle_t*, char *name, vem_clientinfo_t **) VEM client locate Returns the registered client with the specifie...",
	"extern LIBVEM_API int vem_getsignal(char *) Get os-dependent specific signal number from string. Routine is used when filling in vem_signalcontain...",
	"extern LIBVEM_API int vem_getMasterHostList(vem_handle_t *, vem_masterlist_t *) Get master from VEM Routine can be called on both unregisted or re...",
	"extern LIBVEM_API int vem_getHostSummary(vem_handle_t *, vem_hostsummary_t *) Get host summary information from VEM Routine can be called on both ...",
	"extern LIBVEM_API int vem_getHostInfo(vem_handle_t *, vem_hostinforeq_t *, vem_hostinfo_t **hostinfo, char ***attributes) Get host infomation from...",
	"extern LIBVEM_API int vem_getDefinedHostType(vem_handle_t *, vem_hosttypes_t *) Get active host types from VEM Routine can be called on both unreg...",
	"extern LIBVEM_API int vem_getconsumerallocinfo(vem_handle_t *, vem_allocinforeq_t *, vem_allocation_t **) Query allocation information for a consu...",
	"extern LIBVEM_API void vem_close(vem_handle_t *) Close communication handle to VEM. Closes a previously opened handle to VEMKD. Memory allocated t...",
	"extern LIBVEM_API int vem_allocfree(vem_handle_t *, vem_allocfreereq_t *) Free resource allocation with VEM. Routine can only be used on handle th...",
	"extern LIBVEM_API int vem_alloc(vem_handle_t *, vem_allocreq_t *, vem_allocation_id_t *allocId) Request resource allocation with VEM. Routine can ...",
	"vem.errno.h File Reference Enumerations enum { VEME_NO_ERR , VEME_BAD_ARG , VEME_NO_MEM , VEME_XDR , VEME_NOSUCH_ALLOC , VEME_NOT_IMPL , VEME_NOSU...",
	"vem.api.h File Reference Data Structures struct vem_message VEM message. More... struct vem_host VEM host slot. More... struct vem_hostattr VEM ho...",
	"_vem_value Union Reference Basic Common Value. More... Data Fields VEM_CHAR_T v_char VEM_UCHAR_T v_uchar VEM_INT16_T v_int16 VEM_UINT16_T v_uint16...",
	"vem_value Struct Reference VEM value. More... Data Fields VEM_TYPE type VEM_VALUE value Detailed Description General structure that carries a valu...",
	"vem_startcontainerreq Struct Reference Start workload container request. More... Data Fields char * allocId char * hostname char * name vem_contai...",
	"vem_signalcontainerreq Struct Reference Signal workload container request. More... Data Fields vem_container_id_t containerId int signal int optio...",
	"vem_rusage Struct Reference OS Container Resource Usage. More... Data Fields double ru_utime double ru_stime double ru_maxrss double ru_ixrss doub...",
	"vem_rlimit Struct Reference VEM resource limits structure. More... Data Fields vem_longint_t rlim_cur vem_longint_t rlim_max Detailed Description ...",
	"vem_releasereq Struct Reference VEM resource release/replace request. More... Data Fields char * allocId int nhosts vem_host_t * hosts int flags D...",
	"vem_registerreq Struct Reference VEM register request. More... Data Fields char * name char * description vem_clientcallback * cb int flags int tt...",
	"vem_reclaim Struct Reference VEM allocation reclaim. More... Data Fields char * alloc char * consumer int nhosts vem_host_t * host Detailed Descri...",
	"vem_reallocreq Struct Reference VEM resource reallocation request. More... Data Fields vem_allocation_id_t allocId int newMinSlot int newMaxSlot i...",
	"vem_pidinfo Struct Reference Process information. More... Data Fields int pid int ppid int pgid int jobid Detailed Description This structure is p...",
	"vem_openreq Struct Reference VEM open request. More... Data Fields char * file int flags Detailed Description This structure is used while calling...",
	"vem_message Struct Reference VEM message. More... Data Fields vem_message_code_t code void * content Detailed Description Structure returned by ve...",
	"vem_masterlist Struct Reference VEM Master list. More... Data Fields char * master int num char ** masterlist Detailed Description This structure ...",
	"vem_libparams Struct Reference VEM openbyname request. More... Detailed Description This structure is used while calling vem_openbyname() . See al...",
	"vem_hosttypes Struct Reference VEM active host types. More... Data Fields int num char ** types Detailed Description This structure is returned fr...",
	"vem_hostsummary Struct Reference VEM host summary. More... Data Fields int hostC int statusC char ** statusV int * statusSummary int utC char ** u...",
	"vem_hostinforeq Struct Reference VEM host information request. More... Data Fields char * resreq char ** hostlist Detailed Description This struct...",
	"vem_hostinfo Struct Reference VEM host information. More... Data Fields char * name int status vem_value_t * attributes Detailed Description This ...",
	"vem_hostattr Struct Reference VEM host attribute. More... Data Fields int attrC vem_attribute_t * attrV Detailed Description Used in allocation re...",
	"vem_host Struct Reference VEM host slot. More... Data Fields char * name int slots Detailed Description Used in allocation reply/reclaim to notify...",
	"vem_container_spec Struct Reference Container specification used when invoking vem_startcontainer(). More... Data Fields char * command char * exe...",
	"vem_container_rusage Struct Reference Container Resource Usage. More... Data Fields int mem int swap int utime int stime int npids vem_pidinfo_t *...",
	"vem_container_info_reply Struct Reference Workload container information reply. More... Data Fields int ncontainer vem_container_t * container Det...",
	"vem_container Struct Reference Workload container information. More... Data Fields vem_container_id_t id vem_container_state_t state char * name c...",
	"vem_clientinfo Struct Reference VEM client info. More... Data Fields char * name char * location char * description Detailed Description This stru...",
	"vem_clientcallback Struct Reference VEM client callback. More... Data Fields int(* addResource )( vem_allocreply_t *) int(* reclaimForce )( vem_al...",
	"vem_attribute Struct Reference VEM attribute. More... Data Fields VEM_STRING_T name vem_value_t value_t Detailed Description General structure tha...",
	"vem_allocreq Struct Reference VEM allocation request. More... Data Fields char * name char * consumer char * hgroup char * resreq int minslots int...",
	"vem_allocreply Struct Reference VEM allocation reply message content. More... Data Fields vem_allocation_id_t allocId char * consumer int nhost ve...",
	"vem_allocreclaim Struct Reference VEM allocation reclaim message content. More... Data Fields int nreclaim vem_reclaim_t * reclaim char * clientNa...",
	"vem_allocinforeq Struct Reference Query allocation information request. More... Detailed Description This structure is used in vem_signalcontainer...",
	"vem_allocfreereq Struct Reference VEM allocation free request. More... Data Fields vem_allocation_id_t allocId Detailed Description This structure...",
	"vem_allocation_info_reply Struct Reference Allocation information reply. More... Data Fields int nallocation vem_allocation_t * allocation Detaile...",
	"vem_allocation Struct Reference Allocation information. More... Data Fields vem_allocation_id_t allocId vem_allocreq_t * allocReq int nhost vem_ho...",
	"si_updrec Struct Reference Service instance location information update record. More... Detailed Description Service instance location information...",
	"si_queryrec Struct Reference Service instance location information query record. More... Detailed Description Service instance location informatio...",
	"esd_utility_funcs Struct Reference The memory related utility functions specified by caller and used by the plugin. More... Data Fields void *(* c...",
	"esd_plugin Struct Reference Plug-in developer uses this interface to implement mechanism specific logic. More... Data Fields int(* finalize )(void...",
	"esc_service_statechange Struct Reference ESC service state change notification content. More... Data Fields char * servicename esc_service_state_t...",
	"esc_service_policy Struct Reference Service management policy. More... Data Fields esc_service_start_type_t startType esc_service_dependency_t * d...",
	"esc_service_notification_handler Struct Reference Callback functions to handle notification from ESC. More... Detailed Description This structure ...",
	"esc_service_instance_statechange Struct Reference ESC service state change notification content. More... Data Fields char * servicename int seqno ...",
	"esc_service_instance_location Struct Reference service instance location needed when using API esc_controlinstance() More... Data Fields char * ho...",
	"esc_service_instance_info Struct Reference Information about a service instance. More... Data Fields esc_service_instance_state_t state vem_contai...",
	"esc_service_instance_def Struct Reference Service instance definition. More... Data Fields char * attrib vem_container_spec_t * spec Detailed Desc...",
	"esc_service_info_reply Struct Reference Information about services. More... Data Fields int serviceC esc_service_info_t * serviceV Detailed Descri...",
	"esc_service_info Struct Reference Service information. More... Data Fields esc_service_context_t context esc_service_policy_t policy esc_service_s...",
	"esc_service_host_info Struct Reference Host information about an allocation. More... Data Fields char * hostname char * hosttype int slots Detaile...",
	"esc_service_dependency Struct Reference Definition of service dependence relationship for START state. More... Data Fields esc_service_depOnStart_...",
	"esc_service_depOnStart Struct Reference Definition of service dependence relationship. More... Data Fields int serviceC Detailed Description Defin...",
	"esc_service_context Struct Reference Service context definition. More... Data Fields char * name char * version char * description int priority in...",
	"esc_service_alloc_info Struct Reference Allocation information about a service. More... Data Fields int hostC esc_service_host_info_t * hostV int ...",
	"esc_security_def Struct Reference security information needed when using some ESC APIs More... Data Fields char * username char * password char * ...",
	"extern LIBESC_API char *sinstancestate2str(esc_service_instance_state_t) Translate service instance state to string description. Parameters: Param...",
	"extern LIBESC_API char * servicestate2str(esc_service_state_t) Translate service state to string description. Parameters: Parameter IN is the serv...",
	"extern LIBESC_API char * servicestarttype2str(esc_service_start_type_t) Translate service start type to string description. Parameters: Parameter ...",
	"Modules Here is a list of all modules: Utility/Helper functions VEM constants VEM types Date Modified: 22 Jan 2007 Platform Computing: www.platfor...",
	"Class Hierarchy This inheritance list is sorted roughly, but not completely, alphabetically: _vem_value esc_security_def esc_service_alloc_info es...",
	"VEM types Typedefs typedef char VEM_CHAR_T typedef unsigned char VEM_UCHAR_T typedef short VEM_INT16_T typedef unsigned short VEM_UINT16_T typedef...",
	"Utility/Helper functions Functions LIBVEM_API void * vem_malloc (size_t) wrapper on malloc. Routine is used when passing memory to vem api where i...",
	"VEM constants Defines #define VEM_RLIM_DEFAULT (0xFFFFFFFFFFFFFFFFLL) Typedefs typedef enum _vem_type VEM_TYPE Basic Common Types. Enumerations en...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Functions Typedefs Enumerations Enumerator Defines _ c d e h l r u v Here is a list of all documented functions, variables, defines, enums, an...",
	"All Variables a b c d e f h i j l m n o p q r s t u v x - a - addResource : vem_clientcallback alloc : vem_reclaim allocation : vem_allocation_inf...",
	"All Variables a b c d e f h i j l m n o p q r s t u v x Here is a list of all documented struct and union fields with links to the struct/union do...",
	"File List Here is a list of all documented files with brief descriptions: vem.api.h vem.errno.h Date Modified: 22 Jan 2007 Platform Computing: www...",
	"extern MODESD_API int esd_update_service(const si_updrec_t *) Update service instance location information. In the current implementation, the Ser...",
	"extern MODESD_API char* esd_strerror(int) Convert an error code to a string that describes the error. Parameters: Parameter IN is the ESD error co...",
	"extern MODESD_API int esd_startup(const char *) Initialize Service Director working environment. After that, the Service Director will be ready fo...",
	"extern MODESD_API int esd_shutdown(const char *) Finalize Service Director working environment. After that, Service Director will not be available...",
	"extern MODESD_API int esd_query_service(const char *, si_queryrec_t *) Query service instance location information, including IP address and port ...",
	"extern MODESD_API void* esd_malloc(size_t) Memory allocation routine for the Service Director framework It is used when there is something that ne...",
	"extern MODESD_API int esd_initialize(const char *, const char *) Initialize Service Director library. Initialize routine must be called before any...",
	"extern MODESD_API void esd_free(char **) Free memory routine for the Service Director framework Free any memory returns by library that the client...",
	"extern MODESD_API int esd_finalize(void) Finalize Service Director library. Routine is used to free up any memory used by the Service Director lib...",
	"extern LIBESC_API int esc_updateservice(char *, esc_security_def_t *) Update a service with ESC. Update a service according to a service definitio...",
	"extern LIBESC_API void esc_unsubscribe(esc_service_handle_t *) Unsubscribe to ESC event notifications Allow user to unsubscribe to ESC event notif...",
	"extern LIBESC_API esc_service_handle_t * esc_subscribe(esc_service_notification_handler_t *) Subscribe to ESC event notification. Allow user to cu...",
	"extern LIBESC_API char *esc_strerror(int escerrno) Convert an error number to a string that describes the error. Parameters: Parameter IN is the E...",
	"extern LIBESC_API int esc_removeservice(char *, esc_security_def_t *) Remove a service with ESC. Disable an existing service, destroy the service ...",
	"extern LIBESC_API int esc_queryservice(char *, esc_service_info_reply_t*) Get service infomation from ESC. Query services information, including s...",
	"extern LIBESC_API void esc_perror(const char *) Print ESC error message. Routine produces a message on the standard error output, describing the l...",
	"extern LIBESC_API int esc_enableservice(char *, esc_security_def_t *) Enable a service with ESC If a service is defined as AUTOMATIC startup type,...",
	"extern LIBESC_API int esc_disableservice(char *, esc_security_def_t *) Disable a service with ESC. Stop an existing service. ESC will stop service...",
	"extern LIBESC_API int esc_createservice(char *, esc_security_def_t *) Create a service with ESC. Creates a service according to a service definiti...",
	"extern LIBESC_API int esc_controlinstance(esc_service_instance_location_t *, esc_security_def_t *) Control service instance(s). Currently it suppo...",
	"extern LIBESC_API void esc_clear_serviceInfoReply(esc_service_info_reply_t *) Clear the service reply information Parameters: Parameter IN is the ...",
	"extern LIBESC_API int esc_checknotification(esc_service_handle_t *) Check the ESC event notification connection Used to check the state of the not...",
	"Data Structures Here are the data structures with brief descriptions: _vem_value Basic Common Value esc_security_def Security information needed w...",
	"Knowledge Center C API Reference Contents Functions esc_checknotification esc_clear_serviceinforeply esc_controlinstance esc_createservice esc_dis...",
	"Copyright Platform EGO Developer Edition Readme, V 1.2.3 ",
	"--&gt; ",
	"Platform EGO Developer Edition Readme, V 1.2.3 The downloaded DE contains both EGO and the EGO Software Developer Kit (SDK) for the selected opera...",
	"--&gt; ",
	"Copyright Managing the Cluster At a Glance: Critical Concepts What is EGO? An overview How does EGO work? A general overview Important definitions...",
	"Enable EGO event logging for auditing purposes You must be a cluster administrator to perform this task. You have previously run egoconfig mghost ...",
	"Administrative Basics Note: Before continuing, be sure to install Platform EGO according to the best practices described in the various Platform E...",
	"At a Glance: Critical Concepts What is EGO? An overview How does EGO work? A general overview Important definitions Parent topic: Managing the Clu...",
	"Advanced Concepts and Overviews EGO components System services and EGO daemons Understanding how lim determines host models and types Safely makin...",
	"Events EGO events EGO events can be monitored and used to trigger actions automatically. Enable events View an event Responding to event message s...",
	"Managing Services About system services View a consumer’s system service Register a new service Update a service Unregister a service Start a serv...",
	"Managing Hosts Important host roles Host states Host properties About load indices Set your master candidates Control hosts (Windows) Control host...",
	"About Reporting If you are using LSF, refer to the Reports chapter of the LSF Administrator's Guide instead. About producing reports About exporti...",
	"Managing Reports If you are using LSF, refer to the Reports chapter of the LSF Administrator's Guide instead. Disable automatic startup of the rep...",
	"Reports: Data Loaders If you are using LSF, refer to the Reports chapter of the LSF Administrator's Guide instead. Data loaders Configuration of t...",
	"Reports: Data Purger If you are using LSF, refer to the Reports chapter of the LSF Administrator's Guide instead. Data purger Configuration of the...",
	"Reports: Data Sources If you are using LSF, refer to the Reports chapter of the LSF Administrator's Guide instead. Data sources Configuration of t...",
	"Monitoring Resource Allocation About resource allocation monitoring View resource allocation information Compare relative resource allocation View...",
	"Reports: Loader Controller If you are using LSF, refer to the Reports chapter of the LSF Administrator's Guide instead. Loader controller Configur...",
	"The Resource Plan Resource plan: an overview Owning and borrowing resources Share ratio behavior and enforcement Time-based resource planning Reso...",
	"Resource Groups Understanding resource groups Resource group properties Static resources About the selection string Create a resource group by hos...",
	"Logs and Traces About EGO log files Change EGO log levels Change EGO log file locations Change service director (named) log levels Enable EGO even...",
	"Managing the Tree About the consumer tree Consumer properties Create a consumer Delete a consumer View consumer properties Modify consumer propert...",
	"Managing Users User accounts User roles Add a cluster administrator Remove a cluster administrator Create a user account Modify a user account Del...",
	"Configure Windows password If, when creating or modifying a consumer, you specify a Windows user account that has not already been configured, you...",
	"Log on to the Platform Management Console You have set your environment on this host. You are logged into the operating system as egoadmin. The Pl...",
	"Add a consumer administrator You must create at least one consumer before you can add a consumer administrator role to it. You can also add a cons...",
	"Delete a consumer You cannot delete a consumer if it has anything registered to it or if any of its sub-consumers has anything registered to it. U...",
	"Modify consumer properties You must have created at least one consumer before you can modify consumer properties. You must either be a cluster adm...",
	"Consumer properties Property Explanation Name A unique name of a department or project in your structure. Administrators User accounts or with adm...",
	"Rank consumers in order of priority You must have created at least one consumer before you can set any priorities (rank). You must either be a clu...",
	"Building your consumer tree Follow these rules when building a consumer tree: You must be a cluster administrator. You cannot create a consumer be...",
	"Example: Build a consumer tree Build your tree to reflect the structure of your business structure. Note: You may see different default consumers ...",
	"Add a consumer user You must create at least one consumer before you can add a user to it. You can add a user during the creation of your first co...",
	"View consumer properties You must have created at least one consumer before you can view consumer properties. You may need to see the properties y...",
	"Control an EGO service instance EGO service instances are automatically started. You can restart an EGO service instance. You may need to manually...",
	"Custom reports You can create and use custom reports if the standard reports are insufficient for your needs. While standard reports are provided ...",
	"Understanding the dashboard The dashboard is only visible to cluster and consumer administrators. If you are not logged in as a cluster or consume...",
	"Important definitions About… Definition Client A piece of software that accesses system services through the API. The client acts as an agent for ...",
	"EGO components The components of the resource management middleware layer (for the supply side) fall into several groupings. Those that play a mor...",
	"Set the command-line environment On Linux hosts, set the environment before you run any commands. You need to do this once for each session you op...",
	"View an event You must enable events to be logged before you complete this task. Log on as root or egoadmin. To view an event, you need to set you...",
	"Responding to event message sys_cls_unlicensed This is a system event triggered when the cluster is not licensed. By default, this event is set to...",
	"Enable events Log on as root or egoadmin If you want to be notified about cluster events, enable this feature. By default, events are not enabled....",
	"Events overview An event is an occurrence of something significant happening in the cluster. Notification of events is an important tool because i...",
	"Transferring files from one host to another Using the command line interface, you can transfer files between hosts. This is useful when installing...",
	"Safely making configuration file changes It is important and highly recommended to configure EGO through the Platform Management Console, not dire...",
	"Cluster management tasks (Linux) Start the Linux cluster Shut down the Linux cluster Restart the Linux cluster Start EGO on the Linux cluster Log ...",
	"Cluster management tasks (Windows) Start the Windows cluster Shut down the Windows cluster Restart the Windows cluster Start EGO on the Windows cl...",
	"Close a host The host must belong to the cluster and be open before you can close it. Only administrators can open and close hosts. You may need t...",
	"Monitor host health from the dashboard You can only access the dashboard if you are logged in as a cluster administrator or a consumer administrat...",
	"Host icons Using the Platform Management Console’s icon host view, you can see the state of all your hosts. Host icon What it means A green base w...",
	"Control hosts (Linux) You can start, shut down, and restart local, remote, or multiple Linux hosts. Find information on each of these options. Sta...",
	"Control hosts (Windows) You can start, stop, and restart local, remote, and multiple Windows hosts. Find information on each of these options. Sta...",
	"Detect when failover occurs You may need to know when a failover occurs so you can troubleshoot your system or your hosts. Edit ego.conf. You need...",
	"Multi-homed hosts Hosts that have more than one network interface usually have one Internet Protocol (IP) address for each interface. Such hosts a...",
	"Define ncpus—processors, cores, or threads An EGO cluster administrator must define how ncpus is computed. Usually, the number of available EGO sl...",
	"Change default behavior of ncpus: Set the number of CPUs by cores By default, EGO sets the number of CPUs on hosts by the number of physical CPUs....",
	"Understanding how the lim daemon detects cores, threads, and processors Traditionally, the value of ncpus has been equal to the number of physical...",
	"Understanding RQL normalization between Platform LSF and EGO Mapping slots in a way that considers both threads and cores affects RQL normalizatio...",
	"Override the global configuration of ncpus computation An EGO cluster administrator globally defines how ncpus is computed. The ncpus global defin...",
	"Open a host The host must belong to the cluster and be closed before you can open it. Only administrators can open hosts. You may need to run egos...",
	"Important host roles Hosts in the cluster may be described as the master host, master candidates, management hosts, compute hosts, the web server ...",
	"Host states Host state Description OK Your host is functioning normally and has no trouble communicating with the system. OK hosts accept new work...",
	"Understanding the host view The host view in the Platform Management Console gives you all the information you need to keep an eye on your entire ...",
	"How does EGO work? A general overview Platform products work in various ways to match business service (consumer) demands for resources with an av...",
	"IPv6 support EGO supports IPv6. Among other benefits of IPv6, longer address lengths (128 bit) result in increased address availability for networ...",
	"External user authentication and non-NFS file systems The standard EGO package authenticates all users who log on to EGO using its built-in authen...",
	"Fix UNKNOWN or DEFAULT Matched Models and Matched Types Fixing UNKNOWN Matched Type or Matched Model A model or type UNKNOWN indicates the host or...",
	"Understanding how lim determines host models and types The lim (load information manager) daemon/service automatically collects information about ...",
	"View host models and types View detected host models and types Run egosh resource view [resource_name …] to display information about host models ...",
	"About load indices Load indices measure the availability of dynamic resources on hosts. Dynamic resources are properties of a host that change as ...",
	"Change EGO log file locations On Windows machines, you can save log files to a specified location. If you are running a clustered application mana...",
	"Troubleshoot using multiple log files Log file locations and content If a service does not start as expected, open the appropriate service log fil...",
	"View EGO log files Event and audit log files can be viewed through the Platform Management Console. From the Platform Management Console, navigate...",
	"Change service director (named) log levels Log on as root or egoadmin. Log levels for the service director are set differently than log levels for...",
	"EGO log file properties Log properties in the Console include the following (as seen on the Logs (List) page): Property Definition Category name I...",
	"Set your master candidates You must be a cluster administrator. You can modify the order of the hosts in the candidate list (this is the list that...",
	"Deploying middleware packages Deploy a middleware package Middleware packages are copied to the repository server (either to the host on which the...",
	"View and modify cluster properties Click Cluster &gt; Summary. The Summary page displays. Click Cluster Properties. Modify the cluster properties. Th...",
	"Scenario: Add a New Service to the Cluster Goal You plan, prepare the cluster for, and add four new services ensuring you allocate resources to ru...",
	"Sorts the selected resources into an order of preference according to the values of the resources.",
	"Managing the Cluster At a Glance: Critical Concepts Administrative Basics Managing Services Managing Hosts Managing Users Monitoring Resource Allo...",
	"Managing Resource Distribution Managing the Tree Resource Groups The Resource Plan ",
	"Modify user password and other account information You must log on as a valid user with the appropriate permissions to modify account information....",
	"Create custom reports The easiest way to create a custom report is to copy an existing report, then customize the SQL query string as desired. To ...",
	"Delete custom reports Unlike standard reports, custom reports can be deleted. You might prefer to rename old reports (by modifying them) instead o...",
	"Data loaders Data loaders gather cluster operation data and load it into tables in a relational database containing raw data. Data loaders are con...",
	"Default behavior of data loaders Data loaders gather data from data sources at regular intervals. The following are lists of the data loaders and ...",
	"Disable data collection for individual data loaders To reduce unwanted data from being logged in the database, disable data collection for individ...",
	"Change the frequency of data collection To change how often the data loaders collect data, change the frequency of data collection per loader. Edi...",
	"Data gathering methods The data loaders use different methods of gathering data, depending on the types of data sources from which the data loader...",
	"Data loader interactions The loader controller service controls the scheduling of the data loaders. Sampling data loaders request cluster operatio...",
	"Dynamically change the log level of your data loader log files Use the loader controller client tool to dynamically change the log level of your i...",
	"Configuration of the data loaders After editing the loader controller configuration files, restart the plc service for your changes to take effect...",
	"Data sources Data sources provide the cluster operation data to the data loaders. Data sources include daemon status files, log files, and event f...",
	"Default behavior of data sources The EGO allocation event data file is named ego.stream and has a maximum size of 10 MB. When a data file exceeds ...",
	"Data source interactions Sampling data loaders request cluster operation data from the data sources while other data loaders obtain it directly. T...",
	"Configuration of the data sources After editing the plc_service.xml or ego.conf configuration files, restart EGO on the master host ( egosh ego re...",
	"Move to a production database The commercial database must be properly configured and running: You have a user name, password, and URL to access t...",
	"Disable the reporting feature You must have root or cluster administrator access on the master host. Disable the EGO allocation events data loggin...",
	"Event data files The events logger stores event data in event data files. The EGO allocation event data file is named ego.stream by default and ha...",
	"About exporting reports Data expires from the database periodically, so producing a report at a later date may return different data, or return no...",
	"Log files Log files for the reporting services and data loaders are available in the logs subdirectory in the PERF directory ( EGO_TOP /perf/logs)...",
	"Change the default log level of your reporting log files Change the default log level of your log files if they do not cover enough detail, or cov...",
	"Reports directory The reporting feature resides in the perf directory, which is a subdirectory of the top-level EGO directory. If you ran egoconfi...",
	"Loader controller The Platform loader controller ( plc) manages the data loaders by controlling the schedule in which they gather data from the sy...",
	"Default behavior of the loader controller The loader controller service starts automatically when the master host starts up. Parent topic: Reports...",
	"Loader controller interactions The loader controller service controls the scheduling of the data loaders. Sampling data loaders request cluster op...",
	"Dynamically change the log level of your loader controller log file Use the loader controller client tool to dynamically change the log level of y...",
	"View the status of the loader controller Use the loader controller client tool to view the status of the loader controller. Launch the loader cont...",
	"About producing reports The reports stored in the system do not include actual data. Instead, the reports define what data to extract from the sys...",
	"Data purger The data purger ( purger) service maintains the size of the database by archiving old records and purging them from the database. Pare...",
	"Record archives The data purger archives old data to the EGO_TOP /perf/work/archive directory. This file is a ZIP file containing a CSV file. The ...",
	"Default behavior of the data purger The data purger service starts automatically when the master host starts up. The data purger maintains records...",
	"Data purger interactions The data purger moves old records from tables in the relational database and archives them. Parent topic: Reports: Data P...",
	"Configuration of the data purger After editing the data purger configuration files, restart the purger service for your changes to take effect. Af...",
	"Change the default record expiry time To reduce or increase the number of records stored in the database, change the duration of time that a recor...",
	"Change the record expiry time per table To reduce or increase the number of records stored in the database for a particular table, change the dura...",
	"Change the data purger schedule To reschedule the deletion of old data, change the time in which the data purger deletes the old data. Edit EGO_TO...",
	"Disable automatic startup of the reporting services When disabling the reporting feature, disable automatic startup of the plc and purger services...",
	"Test the reporting feature Verify that components of the reporting feature are functioning properly. Check that the reporting services are running...",
	"Compare relative resource allocation The relative allocation chart shows consumers in a pie chart, to quickly judge the proportional allocation of...",
	"About resource allocation monitoring Resource allocation monitoring, available only in the Platform Management Console, allows you to view your cu...",
	"View resource allocation information The bar chart shows detailed information for each consumer using a logarithmic scale that allows you to see d...",
	"View resource allocation details for a consumer You may view details such as the number of slots borrowed by a consumer. In the Console, navigate ...",
	"View resource allocation shortfall Shortfall occurs when a consumer’s currently allocated slots (in non-management resource groups) are fewer than...",
	"About the consumer tree Overview The consumer tree organizes consumers into a structure that makes it easy to apply resource plans. The consumer t...",
	"Create a resource group by host names You must be logged in as a cluster administrator and you should have already added most of your hosts to the...",
	"Create a resource group by resource requirement You must be logged in as a cluster administrator and you should have already added most of your ho...",
	"Modify resource groups You must be logged in as a cluster administrator. Modify resource groups so that you can refine your resource allocations u...",
	"Remove a resource group You must be logged in as a cluster administrator. You cannot remove a resource group if it is being used in the resource p...",
	"Understanding resource groups Resource groups overview Resource groups organize a heterogeneous resource pool. Resource groups are logical groups ...",
	"Scenario: Creating Initial Resource Groups Goal Setting up useful resource groups is essential to making full and efficient use of cluster capabil...",
	"Resource group properties ResourceGroups.xml is located in either $EGO_CONFDIR (Linux) or %EGO_CONFDIR% (Windows). Use an XML editor to make chang...",
	"View resource groups and their properties Your cluster must be up and running. View default and custom resource groups in the Platform Management ...",
	"View hosts in a resource group You must be logged in as a cluster administrator. If you need to know what hosts belong to which resource group, yo...",
	"Scenario: Changing Resource Distribution Models Goal You change your current resource distribution model (from either full ownership with lending ...",
	"Owning and borrowing resources Ownership When consumers “own” resources, they are guaranteed of a minimum allocation of resources, regardless of c...",
	"Creating a resource plan for lending and borrowing Some questions and options to consider when creating your resource plan, presented from a consu...",
	"Scenario: Creating a Resource Plan that Responds Dynamically to Consumer Needs Goal In order to break down self-contained resource group “silos”, ...",
	"Default resource allocation policy When a consumer experiences demand, EGO considers resources from each of these five areas, and systematically a...",
	"Change the default resource allocation policy in conjunction with resource plan You must be a cluster administrator. EGO systematically allocates ...",
	"Create or modify a resource plan Make sure you are at the cluster or top level of your tree. Note: Before changing the default resource plan, you ...",
	"Resource plan: an overview The resource plan defines how cluster resources are allocated among consumers. The plan takes into account the differen...",
	"Export a resource plan You must be a cluster administrator or consumer administrator for a branch to export a resource plan. Note: Do not change y...",
	"Import a resource plan You must be a cluster administrator or consumer administrator to import a resource plan. The imported resource plan must ha...",
	"Configure EGO to enforce share ratio at parent level Share ratios are enforced at the leaf level by default. To change the configuration so that s...",
	"Share ratio behavior and enforcement Sharing refers to the temporary allocation of unowned resources from a “share pool” to a consumer with an uns...",
	"Time-based resource planning Time-based resource distribution The resource plans can change according to time of day. Time-based configuration in ...",
	"Manage time intervals You must have created at least one consumer before you can modify a time interval for a resource plan. You must be a cluster...",
	"Create a plan for reclaiming a resource You must have created at least one consumer before you can modify consumer properties. You must either be ...",
	"Resource sharing: best practices Overview: Moving from a silo to a distributed sharing model Novice EGO administrators may implement a “silo” mode...",
	"select select synopsis select(expression) select(expressionoperatorexpression) select((expressionoperatorexpression)operatorexpression) select des...",
	"Installing and configuring the service director Overview What is the service director? EGO service director (ServiceDirector) is a service that fu...",
	"Troubleshoot the service director Troubleshoot the service director if it fails to update the location information of the DNS server. Check the st...",
	"Troubleshoot service error states If you receive a service error message, or a message indicating that a service cannot transition out of the Allo...",
	"Determine the host address where a system service runs You need to know the address of where the service director (DNS server) is running (contact...",
	"Migrate a service instance You must be a cluster administrator. You can migrate service instances to another host if the current host does not mee...",
	"Restart a service instance You must be a cluster administrator. You may have to restart a service instance to have a configuration change take eff...",
	"About system service instances System service instances are the result of a running system service. For example, system services that are stopped ...",
	"Register a new service You must be a cluster administrator. You can register a service if you need to add a new service or if you unregistered a s...",
	"Start a service You must be a cluster administrator. You must register a service before you can start it. You may have to start a service if you h...",
	"Stop a service You must be a cluster administrator. A service must be started before you can stop it. You can stop a service that is running. We d...",
	"Unregister a service You must be a cluster administrator. You can unregister any registered service if you need to troubleshoot it or replace it. ...",
	"Update a service You must be a cluster administrator. The service must be in the service state \"DEFINED.\" Services that are in other service state...",
	"View a consumer’s system service You must be a cluster administrator. You can view the services that you (or the system) associated with a particu...",
	"About system services A system service runs internal processes for Platform software. System services may have multiple concurrent service instanc...",
	"System services and EGO daemons A system service is a self-contained, continuously running process that accepts one or more requests and returns o...",
	"Standard reports For your convenience, Platform provides several standard reports for you to use. These reports allow you to keep track of some us...",
	"Static resources Static resources are built-in resources that represent host information that does not change over time, such as the maximum memor...",
	"Optional. A root user within a Linux environment can choose to give root privileges within the cluster to the cluster administrator.",
	"Turn off tooltips Turning off Host (Icon View) tooltips in the Platform Management Console is helpful for performance tuning in clusters with more...",
	"Set a trace Log on as root or egoadmin. If you need to troubleshoot a specific object in EGO, you can set a trace for it. Setting a trace logs ent...",
	"Traces Traces enable an administrator to turn logging on for information specific to an object in EGO. Currently, you can only set traces for acti...",
	"Scenario: Building Your Tree Goal Setting up a basic consumer tree that mirrors your business structure vastly increases your ability to manage yo...",
	"Create a consumer To create a consumer, you must either be a cluster administrator or a consumer administrator for the branch on which you are cre...",
	"Create a user account You must be a cluster administrator to create a user account. Create user accounts for each user you want to assign to a rol...",
	"Delete a user account You must be a cluster administrator to delete a user account. User accounts can be deleted even if they are assigned a role ...",
	"Modify a user account You must be a cluster administrator to modify a user account. User Accounts is not accessible if you are using an external u...",
	"User accounts Your cluster uses a number of accounts to run properly. In a mixed cluster, you need one OS account for each platform of the OS acco...",
	"Add a cluster administrator You must be a cluster administrator to create a user account or change cluster settings. Navigate to Cluster &gt; Summary...",
	"Remove a cluster administrator You must be a cluster administrator to delete a user account. To remove a cluster administrator, you can delete the...",
	"User roles There are three user roles that can be assigned to any user account. Each user role has a specific level of accessibility and control i...",
	"About the selection string The selection string is used to specify resource requirements when creating or modifying resource groups. Resource requ...",
	"What is EGO? An overview Enterprise Grid Orchestrator™ (EGO) allows developers, administrators, and users to treat a collection of distributed sof...",
	"Use resource plan modification when you want to modify a resource plan using a script.",
	"Troubleshooting Log files When egosh finds errors while applying the resource plan, it shows detailed messages in stderr. When you specify an erro...",
	"Configuration of the loader controller After editing the loader controller service configuration file ( plc_service.xml), restart the plc service ...",
	"Expand the Cluster Complete these steps to expand your cluster: To expand a functional cluster, you should add management hosts as master candidat...",
	"--&gt; ",
	"Install a Compute Host Set up a Windows host as a compute host. Obtain the necessary files: Obtain the MSI package. As egoadmin , deploy the softw...",
	"Install the Master Host Set up a Windows host as the master host. The following steps summarize installation on the master host Obtain the necessa...",
	"Install a Management Host Set up a Windows host as a management host. The following steps summarize installation on a management host Obtain the n...",
	"Install a Linux Compute Host Add Linux compute hosts to a Windows cluster. A mixed cluster is useful if you have cross-platform applications that ...",
	"Installation Summary This is a summary of the steps to take when creating a small production cluster. This book describes how to build a productio...",
	"Plan Your Cluster Before installing EGO, plan your cluster and prepare your systems for installation. Complete the following steps to plan your cl...",
	"Copyright Installation Summary Plan Your Cluster Install the Master Host Install a Compute Host Install a Management Host Expand the Cluster Insta...",
	"Install a Compute Host Set up a Windows host as a compute host. Obtain the necessary files: Obtain the MSI package. As egoadmin , deploy the softw...",
	"Install the Master Host Set up a Windows host as the master host. The following steps summarize installation on the master host Obtain the necessa...",
	"Install a Management Host Set up a Windows host as a management host. The following steps summarize installation on a management host Obtain the n...",
	"Install a Linux Compute Host Add Linux compute hosts to a Windows cluster. A mixed cluster is useful if you have cross-platform applications that ...",
	"Plan Your Cluster Before installing EGO, plan your cluster and prepare your systems for installation. Complete the following steps to plan your cl...",
	"--&gt; ",
	"Install a single-host cluster Prepare for installation: Obtain the necessary files. Check ports. Check the installation directory. As root , set u...",
	"Using this guide This guide describes installing EGO on a single Linux host for evaluation purposes. In a single-host cluster, the master host fun...",
	"Migrate to a Multiple-Host Cluster Before migrating your host, check the following: That you have a functional single-host cluster That you have t...",
	"Copyright Using this guide Install a single-host cluster Migrate to a Multiple-Host Cluster ",
	"Cluster settings Your cluster summary gives you specific details about your cluster. The cluster summary is accessible by navigating to Cluster &gt; ...",
	"Configure Windows password If, when creating or modifying a consumer, you specify a Windows user account that has not already been configured, you...",
	"Add a consumer administrator You must create at least one consumer before you can add a consumer administrator role to it. You can also add a cons...",
	"Delete a consumer You cannot delete a consumer if it has anything registered to it or if any of its sub-consumers has anything registered to it. U...",
	"Modify consumer properties You must have created at least one consumer before you can modify consumer properties. You must either be a cluster adm...",
	"Consumer properties Property Explanation Name A unique name of a department or project in your structure. Administrators User accounts or with adm...",
	"Rank consumers in order of priority You must have created at least one consumer before you can set any priorities (rank). You must either be a clu...",
	"Building your consumer tree Follow these rules when building a consumer tree: You must be a cluster administrator. You cannot create a consumer be...",
	"Example: Build a consumer tree Build your tree to reflect the structure of your business structure. Note: You may see different default consumers ...",
	"Add a consumer user You must create at least one consumer before you can add a user to it. You can add a user during the creation of your first co...",
	"View consumer properties You must have created at least one consumer before you can view consumer properties. You may need to see the properties y...",
	"Create resource groups Create a resource group by host names Create a resource group by resource requirement Related concepts Understanding resour...",
	"Understanding the dashboard The dashboard is only visible to cluster and consumer administrators. If you are not logged in as a cluster or consume...",
	"Move to a production database for Symphony The commercial database must be properly configured and running: You have a user name, password, and UR...",
	"Close a host The host must belong to the cluster and be open before you can close it. Only administrators can open and close hosts. You may need t...",
	"Monitor host health from the dashboard You can only access the dashboard if you are logged in as a cluster administrator or a consumer administrat...",
	"Host icons Using the Platform Management Console’s icon host view, you can see the state of all your hosts. Host icon What it means A green base w...",
	"Open a host The host must belong to the cluster and be closed before you can open it. Only administrators can open hosts. You may need to run egos...",
	"Host properties The console displays both static and dynamic host properties in a separate window. You can have up to four Host Properties windows...",
	"Important host roles Hosts in the cluster may be described as the master host, master candidates, management hosts, compute hosts, the web server ...",
	"Host states Host state Description OK Your host is functioning normally and has no trouble communicating with the system. OK hosts accept new work...",
	"Understanding the host view The host view in the Platform Management Console gives you all the information you need to keep an eye on your entire ...",
	"--&gt; ",
	"EGO log file properties Log properties in the Console include the following (as seen on the Logs (List) page): Property Definition Category name I...",
	"Retrieve logs Note: Logs are only functional when Symphony is installed. Cluster administrators and consumer administrators can retrieve logs that...",
	"About logs Note: Logs are only functional when Symphony is installed. Logs are a valuable tool used for troubleshooting resources, daemons, and se...",
	"Set your master candidates You must be a cluster administrator. You can modify the order of the hosts in the candidate list (this is the list that...",
	"View and modify cluster properties Click Cluster &gt; Summary. The Summary page displays. Click Cluster Properties. Modify the cluster properties. Th...",
	"Move to a production database Move to a production database for EGO Move to a production database for LSF Move to a production database for Sympho...",
	"Move to a production database for LSF The commercial database is properly configured and running: You have a user name, password, and URL to acces...",
	"Create a custom report from an existing report This method is convenient because you can extend an existing report. Examine your current standard ...",
	"Create a new custom report You must be able to construct valid query strings with Structured Query Language (SQL). In the Console, navigate to Rep...",
	"Delete a custom report In the Console, navigate to Reports then Custom Reports. Locate your report in the list. Select Actions &gt; Delete Report. Re...",
	"Export report data Once you produce a report, exporting is the best way to save the data for future use. You cannot produce the same report at a l...",
	"Modify a custom report In the Console, navigate to Reports then Custom Reports. Click the name of your report. Modify the report properties and qu...",
	"Produce a custom report In the Console, navigate to Reports then Custom Reports. Click the name of your report to open it. Click Produce Report. A...",
	"Move to a production database Move to a production database for EGO Move to a production database for LSF Move to a production database for Sympho...",
	"Disable the reporting feature You must have root or cluster administrator access on the master host. Disable the EGO allocation events data loggin...",
	"Export report data Once you produce a report, exporting is the best way to save the data for future use. You cannot produce the same report at a l...",
	"Produce a standard report In the Console, navigate to Reports, then Standard Reports. Click the name of your report to open it. Set the report par...",
	"View the full description of a standard report In the Console, navigate to Reports, then Standard Reports. Click the name of your report to open i...",
	"About reporting You can access the reporting feature from the Console (Platform Management Console). The reporting feature supports Oracle 9i and ...",
	"Compare relative resource allocation The relative allocation chart shows consumers in a pie chart, to quickly judge the proportional allocation of...",
	"About resource allocation monitoring Resource allocation monitoring, available only in the Platform Management Console, allows you to view your cu...",
	"View resource allocation information The bar chart shows detailed information for each consumer using a logarithmic scale that allows you to see d...",
	"View resource allocation details for a consumer You may view details such as the number of slots borrowed by a consumer. In the Console, navigate ...",
	"View resource allocation shortfall Shortfall occurs when a consumer’s currently allocated slots (in non-management resource groups) are fewer than...",
	"About the consumer tree Overview The consumer tree organizes consumers into a structure that makes it easy to apply resource plans. The consumer t...",
	"Create a resource group by host names You must be logged in as a cluster administrator and you should have already added most of your hosts to the...",
	"Create a resource group by resource requirement You must be logged in as a cluster administrator and you should have already added most of your ho...",
	"Modify resource groups You must be logged in as a cluster administrator. Modify resource groups so that you can refine your resource allocations u...",
	"Understanding resource groups Resource groups overview Resource groups organize a heterogeneous resource pool. Resource groups are logical groups ...",
	"View hosts in a resource group You must be logged in as a cluster administrator. If you need to know what hosts belong to which resource group, yo...",
	"Owning and borrowing resources Ownership When consumers “own” resources, they are guaranteed of a minimum allocation of resources, regardless of c...",
	"Create or modify a resource plan Make sure you are at the cluster or top level of your tree. Note: Before changing the default resource plan, you ...",
	"Resource plan: an overview The resource plan defines how cluster resources are allocated among consumers. The plan takes into account the differen...",
	"Export a resource plan You must be a cluster administrator or consumer administrator for a branch to export a resource plan. Note: Do not change y...",
	"Import a resource plan You must be a cluster administrator or consumer administrator to import a resource plan. The imported resource plan must ha...",
	"Time-based resource planning Time-based resource distribution The resource plans can change according to time of day. Time-based configuration in ...",
	"Manage time intervals You must have created at least one consumer before you can modify a time interval for a resource plan. You must be a cluster...",
	"About the service controller The service controller is the first process that runs on top of the EGO kernel. It functions as a bootstrap mechanism...",
	"Troubleshoot service error states If you receive a service error message, or a message indicating that a service cannot transition out of the Allo...",
	"Migrate a service instance You must be a cluster administrator. You can migrate service instances to another host if the current host does not mee...",
	"Service instance properties Service instance property names (including full tooltip names) and descriptions are outlined below. Property Descripti...",
	"Restart a service instance You must be a cluster administrator. You may have to restart a service instance to have a configuration change take eff...",
	"System service instance states All system service instances have one of the following states: State Description Start The system service instance ...",
	"About system service instances System service instances are the result of a running system service. For example, system services that are stopped ...",
	"Service profile A service profile is an XML file that contains the service definition for a service. Every service has a service profile. When you...",
	"Service properties Service property names (including full tooltip names) and descriptions are outlined below. Property Description Name (Service n...",
	"Register a new service You must be a cluster administrator. You can register a service if you need to add a new service or if you unregistered a s...",
	"Start a service You must be a cluster administrator. You must register a service before you can start it. You may have to start a service if you h...",
	"System service states System services have one of the following states: State Description Defined The service definition is loaded or created by A...",
	"Stop a service You must be a cluster administrator. A service must be started before you can stop it. You can stop a service that is running. We d...",
	"Unregister a service You must be a cluster administrator. You can unregister any registered service if you need to troubleshoot it or replace it. ...",
	"Update a service You must be a cluster administrator. The service must be in the service state \"DEFINED.\" Services that are in other service state...",
	"View a consumer’s system service You must be a cluster administrator. You can view the services that you (or the system) associated with a particu...",
	"About system services A system service runs internal processes for Platform software. System services may have multiple concurrent service instanc...",
	"Cluster Management Understanding the dashboard Cluster settings View and modify cluster properties Set your master candidates Host Management Moni...",
	"Turn off tooltips Turning off Host (Icon View) tooltips in the Platform Management Console is helpful for performance tuning in clusters with more...",
	"Create a consumer To create a consumer, you must either be a cluster administrator or a consumer administrator for the branch on which you are cre...",
	"Create a user account You must be a cluster administrator to create a user account. Create user accounts for each user you want to assign to a rol...",
	"Delete a user account You must be a cluster administrator to delete a user account. User accounts can be deleted even if they are assigned a role ...",
	"Add a cluster administrator You must be a cluster administrator to create a user account or change cluster settings. Navigate to Cluster &gt; Summary...",
	"Remove a cluster administrator You must be a cluster administrator to delete a user account. To remove a cluster administrator, you can delete the...",
	"User roles There are three user roles that can be assigned to any user account. Each user role has a specific level of accessibility and control i...",
	"No help available There is currently no online help available for this topic. If you have access to print or online (PDF or HTML) documentation, r...",
	"Control services View a consumer’s system service Register a new service Update a service Unregister a service Start a service Stop a service ",
	"Custom reports You can create and use custom reports if the standard reports are insufficient for your needs. While standard reports are provided ...",
	"Standard reports For your convenience, Platform provides several standard reports for you to use. These reports allow you to keep track of some us...",
	"User accounts Your cluster uses a number of accounts to run properly. In a mixed cluster, you need one OS account for each platform of the OS acco...",
	"--&gt; ",
	"Install a Single-Host Cluster The following steps summarize the installation of a single-host cluster. This host simultaneously acts as master hos...",
	"Using this guide This guide describes installing EGO on a single Windows computer to function as a master host, management host, and compute host ...",
	"Migrate a functional single-host cluster to a master host for use in a multiple-host cluster.",
	"Copyright Using this guide Install a Single-Host Cluster Migrate to a Multiple-Host Cluster ",
	"Migrate a functional single-host cluster to a master host for use in a multiple-host cluster.",
	"Expand the cluster To expand a functional cluster, you should add management hosts as master candidates and enable master host failover, then add ...",
	"--&gt; ",
	"Install a Compute Host After installing on the master host, set up a Linux host as a compute host. Obtain the necessary files: Obtain RPM package....",
	"Set up a Linux host as the master host.",
	"After installing on the compute host, set up a Linux host as a management host.",
	"Install a Windows Compute Host Add Windows compute hosts to a Linux cluster. A mixed cluster is useful if you have cross-platform applications tha...",
	"Installation Summary This is a summary of the steps to take when creating a small production cluster. This book describes how to build a productio...",
	"Plan Your Cluster Before installing EGO, plan your cluster and prepare your systems for installation. Complete the following steps to plan your cl...",
	"Copyright Installation Summary Plan Your Cluster Install the Master Host Install a Compute Host Install a Management Host Expand the cluster Insta...",
	"Browser requirements OS Version Supported browsers Windows 2000 Server 2000 Advanced Server Server 2003 Standard Edition Server 2003Enterprise Edi...",
	"Documentation The EGO documentation set is available from the EGO Knowledge Center, installed with your package and accessible from the Platform M...",
	"Known issues and problems Share difficulties when a host is blocked When two or more consumers are set to share resources and one of those shared ...",
	"EGO packages EGO 1.2.3 Both Windows and Linux packages are provided for EGO 1.2.3. For Linux platforms, the required package-type depends if you a...",
	"Supported operating systems Operating system Linux kernel, glibc Hardware architecture Install package Windows XP, 2003, Vista n/a Intel x86 32-bi...",
	"What’s new in this release? To be completed. Parent topic: EGO Release Notes, Version 1.2.3 ",
	"--&gt; ",
	"EGO Release Notes, Version 1.2.3 Browser requirements Supported operating systems EGO packages Known issues and problems Documentation ",
	"Copyright EGO Release Notes, Version 1.2.3 Browser requirements Supported operating systems EGO packages Known issues and problems Documentation ",
	"Platform EGO 1.2.3 Errata Legal Notice Corrections to our documentation ... To send your documentation feedback: Email Information Development at ...");